<%@ Page Language="C#" MasterPageFile="~/membercenter/membercenter.Master" AutoEventWireup="true" CodeBehind="comment_list.aspx.cs" Inherits="YXShop.Web.membercenter.shop.shop_info.comment_list" %>

<asp:Content ID="ContentHead" runat="server" ContentPlaceHolderID="head">
 <link href="../../../admin/style/admin.css" rel="stylesheet" type="text/css" />
    <link href="../../../style/validator.css" rel="stylesheet" type="text/css" />
    <script src="../../../scripts/validate.js" type="text/javascript"></script>
    <link href="../../../style/toolbar.css" rel="stylesheet" type="text/css" />
    <script src="../../../scripts/prototype.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript">
     function Del(id)
    { 
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=del&id=" + id;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     window.location.reload();
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('comment_list.aspx', options);
    }
    function SelectAll(tempControl)
    {
          var theBox=tempControl;
          xState=theBox.checked;    
          elem=theBox.form.elements;
          for(i=0;i<elem.length;i++)
          if(elem[i].type=='checkbox' && elem[i].id!=theBox.id)
          {
            if(elem[i].checked!=xState)
               elem[i].click();
                            
          }
    }   

     function DelAll(id)
     { 
       var idStr;
       if(id<0)
       {
            idStr = GetAllChecked();
            if(idStr == "")
            {
                alert("您没有选择要删除的信息!");
                return;
            }
       }
       else
       {
           idStr=id
       }
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=delAll&id=" + idStr;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     window.location.reload();
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('comment_list.aspx', options);
    }
</script>
</asp:Content>
<asp:Content ContentPlaceHolderID="pagetitle" ID="ContentTitle" runat="server">
店铺点评
<asp:HyperLink ID="HyperLink2" runat="server"  CssClass="inputbutton" NavigateUrl="#"  onclick="DelAll(-1)" Width="65px" Height="24px" onMouseOver="javascript:document.getElementById(this.id).className='inputbutton_a'" onMouseOut="javascript:document.getElementById(this.id).className='inputbutton'">批量删除</asp:HyperLink>
</asp:Content>
<asp:Content ContentPlaceHolderID="workspace" ID="ContentMain" runat="server">
<asp:Literal ID="lblList" runat="server"></asp:Literal>
</asp:Content> 